#!/bin/bash
archivedir=/parablu/archive/tomcat-job1/catalina
logdir=/var/lib/tomcat-job1/logs
numfiles=5

gzip /var/lib/tomcat-job1/logs/catalina.out-*
echo "running tomcat-job1 archival script"
if [ ! -d "$archivedir" ];
then
        mkdir -p $archivedir 2>&1
fi

cd $logdir
mv *.gz $archivedir

sleep 2
cd $archivedir
ls -t | sed -e "1, $numfiles d" | xargs -d '\n' rm
